POST
/v1/mgmt/sso/idp/app/rotateAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
id*string
Length
1 <= length <= 10000Rotate the dedicated OIDC client secret of an SSO application by its ID, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/sso/idp/app/rotate" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{ "cleartext": "string"}export interface Response {cleartext?: string} Was this helpful?